package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class EsignLogFactory
{
    private EsignLogFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IEsignLog getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IEsignLog)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("D769F653") ,com.kingdee.eas.custom.esign.IEsignLog.class);
    }
    
    public static com.kingdee.eas.custom.esign.IEsignLog getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IEsignLog)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("D769F653") ,com.kingdee.eas.custom.esign.IEsignLog.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IEsignLog getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IEsignLog)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("D769F653"));
    }
    public static com.kingdee.eas.custom.esign.IEsignLog getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IEsignLog)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("D769F653"));
    }
}